\documentclass[12pt,a5paper,landscape]{cours}
\usepackage{mathematics/standard_cmd}

\usepackage[utf8]{inputenc}

\input{pre.tex}

\geometry{ hmargin=1.5cm, vmargin=1cm }
\newcommand{\etai}{\vphantom{ $\sum^{\disp \sum}_\sum$ }}

\author{\includegraphics[width=2cm]{isen3.png}}
\title{\studentname}
\date{septembre 2020}

\begin{document}
\pagestyle{empty}

%\begin{center}
%  \Large{\textbf{Ateliers préparatoires en mathématiques}}
%\end{center}

\maketitle
%\vs

% ------------------------------------------------------
\section*{Bilan de compétences}

\def\nsubj{5}
\def\nameA{ Culture générale }
\def\nameB{ Complexes et géométrie }
\def\nameC{ Algèbre linéaire }
\def\nameD{ Calcul différentiel }
\def\nameE{ Calcul intégral }

\begin{figure}[hp!]
  \centering
  \fbox{
    \begin{tikzpicture}[node distance=2em,xscale=.1]
      \foreach \xline in {0, 25, ..., 100}
        \draw[yshift=-.5cm] (\xline,0) -- ++(0,-\nsubj) node[below] {$\xline$};
      \node[right=1.5em] at (100,-.2) {};

      \foreach \subj/\score [count=\i] in {
        \nameA / \scoreA,
        \nameB / \scoreB,
        \nameC / \scoreC,
        \nameD / \scoreD,
        \nameE / \scoreE
      } {
        \node[left=1.5em] at (0,-\i) {\subj:};
        \shade[left color=red,right color=green!\score!red] (0,-\i)+(0,-.2) rectangle +(\score,.2);
      }
    \end{tikzpicture}
  }
\end{figure}
\vs

\end{document}

%
